if exists("b:current_syn")
  finish
endif

let b:current_syn = "ahem"

syn keyword ahemBoolean true false
syn keyword ahemConditional if elseif else
syn keyword ahemFunction function method classmethod
syn keyword ahemKeyword class let for in
syn keyword ahemNull null
syn keyword ahemOperator and or not
syn keyword ahemStorageClass public private
syn match ahemAtom "\v\:[a-z][a-zA-Z0-9\_]*"
syn match ahemClass "\v[A-Z][a-zA-Z0-9\_]*"
syn match ahemNumber "\v\d+(\.\d+)?"
syn match ahemOperator "\v\*"
syn match ahemOperator "\v\+"
syn match ahemOperator "\v\-"
syn match ahemOperator "\v\/"
syn match ahemOperator "\v\<"
syn match ahemOperator "\v\<\="
syn match ahemOperator "\v\=\="
syn match ahemOperator "\v\=\>"
syn match ahemOperator "\v\>"
syn match ahemOperator "\v\>\="
syn match ahemComment "\v\/\/.*"
syn region ahemString start=/\v"/ skip=/\v\\./ end=/\v"/

hi link ahemAtom Label
hi link ahemBoolean Boolean
hi link ahemClass Label
hi link ahemComment Comment
hi link ahemConditional Conditional
hi link ahemFunction Function
hi link ahemKeyword Keyword
hi link ahemNull Special
hi link ahemNumber Number
hi link ahemOperator Operator
hi link ahemString String
hi link ahemStorageClass StorageClass
